Loading...
Searching...
No Matches
janus_streaming_rtp_source_stream Struct Reference
Collaboration diagram for janus_streaming_rtp_source_stream:
[legend]

## Data Fields

int | mindex
janus_streaming_media | type
char * | mid
char * | label
char * | msid
char * | mstid
janus_streaming_codecs | codecs
char * | host
gint | port [3]
gint | remote_port
gint | rtcp_port
gint | remote_rtcp_port
in_addr_t | mcast
char * | mcast_str
janus_network_address | iface
char * | iface_str
janus_recorder * | rc
janus_rtp_switching_context | context [3]
int | fd [3]
int | rtcp_fd
gboolean | simulcast
gboolean | svc
char * | h264_spspps
int | h264_spspps_len
gboolean | skew
gint64 | last_received [3]
uint32_t | ssrc
uint32_t | last_ssrc [3]
volatile gint | need_pli
volatile gint | sending_pli
gint64 | pli_latest
struct sockaddr_storage | rtcp_addr
janus_streaming_rtp_keyframe | keyframe
gboolean | textdata
gboolean | buffermsg
void * | last_msg
janus_mutex | buffermsg_mutex
janus_refcount | ref

## Field Documentation

## buffermsg

gboolean janus_streaming_rtp_source_stream::buffermsg

## buffermsg_mutex

janus_mutex janus_streaming_rtp_source_stream::buffermsg_mutex

## codecs

janus_streaming_codecs janus_streaming_rtp_source_stream::codecs

## context

janus_rtp_switching_context janus_streaming_rtp_source_stream::context[3]

## fd

int janus_streaming_rtp_source_stream::fd[3]

## h264_spspps

char* janus_streaming_rtp_source_stream::h264_spspps

## h264_spspps_len

int janus_streaming_rtp_source_stream::h264_spspps_len

## host

char* janus_streaming_rtp_source_stream::host

## iface

janus_network_address janus_streaming_rtp_source_stream::iface

## iface_str

char* janus_streaming_rtp_source_stream::iface_str

## keyframe

janus_streaming_rtp_keyframe janus_streaming_rtp_source_stream::keyframe

## label

char * janus_streaming_rtp_source_stream::label

## last_msg

void* janus_streaming_rtp_source_stream::last_msg

## last_received

gint64 janus_streaming_rtp_source_stream::last_received[3]

## last_ssrc

uint32_t janus_streaming_rtp_source_stream::last_ssrc[3]

## mcast

in_addr_t janus_streaming_rtp_source_stream::mcast

## mcast_str

char* janus_streaming_rtp_source_stream::mcast_str

## mid

char* janus_streaming_rtp_source_stream::mid

## mindex

int janus_streaming_rtp_source_stream::mindex

## msid

char * janus_streaming_rtp_source_stream::msid

## mstid

char * janus_streaming_rtp_source_stream::mstid

## need_pli

volatile gint janus_streaming_rtp_source_stream::need_pli

## pli_latest

gint64 janus_streaming_rtp_source_stream::pli_latest

## port

gint janus_streaming_rtp_source_stream::port[3]

## rc

janus_recorder* janus_streaming_rtp_source_stream::rc

## ref

janus_refcount janus_streaming_rtp_source_stream::ref

## remote_port

gint janus_streaming_rtp_source_stream::remote_port

## remote_rtcp_port

gint janus_streaming_rtp_source_stream::remote_rtcp_port

## rtcp_addr

struct sockaddr_storage janus_streaming_rtp_source_stream::rtcp_addr

## rtcp_fd

int janus_streaming_rtp_source_stream::rtcp_fd

## rtcp_port

gint janus_streaming_rtp_source_stream::rtcp_port

## sending_pli

volatile gint janus_streaming_rtp_source_stream::sending_pli

## simulcast

gboolean janus_streaming_rtp_source_stream::simulcast

## skew

gboolean janus_streaming_rtp_source_stream::skew

## ssrc

uint32_t janus_streaming_rtp_source_stream::ssrc

## svc

gboolean janus_streaming_rtp_source_stream::svc

## textdata

gboolean janus_streaming_rtp_source_stream::textdata

## type

janus_streaming_media janus_streaming_rtp_source_stream::type

The documentation for this struct was generated from the following file:

- janus_streaming.c